%define	name	amoeba
%define	version	1.1
%define	rel	4
%define	release	%mkrel %{rel}
%define Summary	Fast-paced, polished OpenGL demonstration by Excess

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.1.bz2
Patch0:		%{name}-glx-ext-compilefix.patch.bz2
Patch1:		%{name}-fixes.patch.bz2
Patch2:		%{name}-shared.patch.bz2
License:	GPL
Url:		http://www.scene.org/
Group:		Toys
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	png-devel gtk+1.2-devel jpeg-devel oggvorbis-devel MesaGLU-devel
BuildRequires:	expat-devel zlib-devel

%description
Amoeba is a fast-paced, cross-platform OpenGL demonstration by Excess,
showing effects using your 3D card in perfect sync with Ogg Vorbis music.
It features a full XML-scripted GPLed demo engine, several object
manipulations, lots of graphics and a pumping soundtrack. 

Amoeba won first price in the demo competition at Underscore 02,
a sceneparty held in Joenkoeping, Sweden (http://www.underscore.sh/) 

Note that this is only the demo engine -- to watch the demo itself,
you will also need the package amoeba-data available from http://plf.zarb.org

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0 -b .orig
bzcat %{SOURCE1} > %{name}.1
perl -pi -e "s#/usr/X11R6/lib/#%{_prefix}/X11R6/%{_lib}/#g" Makefile

%build
%make CFLAGS="$RPM_OPT_FLAGS -ffast-math -fstrict-aliasing" CXXFLAGS="$RPM_OPT_FLAGS -ffast-math -fstrict-aliasing -fexceptions -DPATH=\\\"%{_datadir}/%{name}/\\\""

%install
rm -rf $RPM_BUILD_ROOT
install -m644 %{name}.1 -D $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/man1/%{name}*
%doc gpldemo.txt  readme.txt file_id.diz

%changelog
* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-4mdk
- lib64 fix

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1-3mdk
- rebuild

* Sat Mar 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-2mdk
- rebuild
- fix buildrequires (lib64..)

* Tue Apr 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.1-1mdk
- initial mdk release
